{% extends '../base.html'%}
{% block main %}

{% load static %}
<div class="container rent-container position-relative">
  {% include "../components/quick_access.html" %}


  <div class="my-repair-title">
    <p class="text-center fs-1 fw-bold my-4">Demande de location d'un drone</p>
    <section class="table-info">
      <section id="gernal-info" class="active w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3 mb-2">
        <div onclick="handleRepairSection(this)" class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
          <span class="text-center fw-bold one-ligne-text">Informations générals</span>
          <img
            src="{% static 'assets/icons/arrow.png' %}"
            style="height: 2rem; width: auto; object-fit: contain"
            class="rounded d-block m-0 p-0 revirse"
            alt="icon"
          />
        </div>
        <article>
          <div>
            <span class="fw-bold">N° de demande :</span><br>
            <span class="color-gray">{{ rent.number }}</span><br>
          </div>
          <div>
            <span class="fw-bold">Nom du drone :</span><br>
            <span class="color-gray"><a href="{% url 'one_article' rent.article.id %}">{{ rent.article.title }}</a></span><br>
          </div>
          <div>
            <span class="fw-bold">Statut actuel :</span><br>
            <span class="color-gray">{{ rent.get_franch_phrase }}</span><br>
          </div>
          {% if rent.status == 3 %}
          <div>
            <span class="fw-bold">Dates :</span><br>
            <span class="color-gray">{{ rent.start_at }} - {{ rent.end_at }} </span><br>
          </div>
          {% endif %}

          {% if request.user.is_superuser %}
          <div>
            <span class="fw-bold">Visibilité  :</span><br>
            <span class="color-gray">{{ rent.get_visibility }}</span><br>
          </div>
          {% endif %}
        </article>
      </section>
      {% if request.user.is_superuser %}
        <section id="action" class="w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3">
          <div onclick="handleRepairSection(this)" class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
            <span class="text-center fw-bold one-ligne-text">Centre d'actions</span>
            <img
              src="{% static 'assets/icons/arrow.png' %}"
              style="height: 2rem; width: auto; object-fit: contain"
              class="rounded d-block m-0 p-0"
              alt="icon"
            />
          </div>
          <article>
            <div>
              <span class="fw-bold">Modifier la statut :</span>
              <form method="POST" class="mt-2">
                <div class="mx-5">
                  {% csrf_token %}
                  <select data-status="{{ rent.status }}" class="form-select form-select mb-2" name="new-status" id="select-satatus"  aria-label=".form-select-lg example" onchange="showDivRefusedReasion(this)">
                    {% for id, status in rent_status.items %}
                      <option value="{{ id }}">{{ status }}</option>
                    {% endfor %}
                  </select>
                  <div id="rent-refused_reasion">
                    <label for="refused-reasion" class="form-label">Raison du refus :</label>
                    <textarea class="form-control" name="refused-reasion" id="refused-reasion" rows="3">{% if rent.status == 5 and rent.refused_reasion %}{{ rent.refused_reasion }}{% endif %}</textarea>
                  </div>
                </div>
                <div class="w-100 d-flex justify-content-around align-content-center mt-3">
                  {% if not rent.rated %}
                    {% if rent.status == 4 and request.user.is_superuser %}
                    <a href="{% url 'close_rent' rent.id %}" class="normal-link rounded px-3 py-2 bg-success text-white text-center">Finaliser la location </a>
                    {% else %}
                    <button class="normal-btn rounded px-3 py-2 bg-success text-white text-center">Valider</button>
                    {% endif %}
                  {% endif %}
                  {% if rent.active %}
                    <a href="{% url 'archiving_rent' rent.id 'False' %}" class="normal-link rounded px-3 py-2 bg-danger text-white text-center">Archifer </a>
                  {% else %}
                    <a href="{% url 'archiving_rent' rent.id 'True' %}" class="normal-link rounded px-3 py-2 bg-danger text-white text-center">Désarchiver</a>
                  {% endif %}

                </div>
              </form>
            </div>
          </article>
        </section>

      {% endif %}
    </section>
    <section id="alerts" class="mt-5 mb-4 py-2">
      {% if rent.status == 1 %}
      <div>
        <div id="rent-message">
          <span>MESSAGE</span>
          <span onclick="closeMessage(this)">&#10005;</span>
        </div>
        <div class="alert alert-success" role="alert">
          <article class="text-center">
            Votre demande est prise en compte !<br>
            Notre équipe vous conntactera le plus vite possible.<br>
            Merci pour votre patience.
          </article>
        </div>
      </div>
      {% elif rent.status == 2 %}
      <div>
        <div id="rent-message">
          <span>MESSAGE</span>
          <span onclick="closeMessage(this)">&#10005;</span>
        </div>
        <div class="alert alert-success" role="alert">
          <article class="text-center">
            Bonne nouvelle, votre demande a été acceptée !<br>
            Il est temps de passer à l'étape suivante.<br>
            C'est à vous maintenant de venir chercher le drone depuis notre agence et commencer votre location.<br><br>
            Voici les coordonnées :<br>
            Drones Pro<br>
            Adresse : <a href="{{ about_us.google_maps_link }}">{{ about_us.address }}</a><br>
            Téléhone : <a href="tel:{{ about_us.phone }}">{{ about_us.phone }}</a><br>
            On vous attend
          </article>
        </div>
      </div>
      {% elif rent.status == 3 %}
      <div>
        <div id="rent-message">
          <span>MESSAGE</span>
          <span onclick="closeMessage(this)">&#10005;</span>
        </div>
        <div class="alert alert-success" role="alert">
          <article class="text-center">
            Vous avez loué un drone<br>
            Date de fin prévu : {{ rent.end_at }}<br>
          </article>
        </div>
      </div>
      {% elif rent.status == 4 %}
      <div>
        <div id="rent-message">
          <span>MESSAGE</span>
          <span onclick="closeMessage(this)">&#10005;</span>
        </div>
        <div class="alert alert-danger" role="alert">
          <article class="text-center">
            La location est fini !<br>
            Merci pour votre confiance.<br>
            {% if rent.finished and not rent.rated %}
            <span>N'oubliez pas de noter votre service</span><br>
            <form action="{% url 'new_note' 5 rent.id %}" method="POST">
              {% csrf_token %}
              <select name="stars" class="form-select form-select" id="stars">
                <option value="1">1 étoile</option>
                <option value="2">2 étoiles</option>
                <option value="3">3 étoiles</option>
                <option value="4">4 étoiles</option>
                <option value="5" selected>5 étoiles</option>
              </select><br>
              <div>
                <label for="final-note">Commantaire :</label>
                <textarea class="form-control" name="final-note" id="final-note" cols="30" rows="10"></textarea>
              </div><br>
              <input type="submit" class="normal-btn rounded border py-2 px-4 mt-3 bg-success text-white" value="VALIDER">
            </form>
            {% endif %}
          </article>
        </div>
      </div>
      {% else %}
      <div>
        <div id="rent-message">
          <span>MESSAGE</span>
          <span onclick="closeMessage(this)">&#10005;</span>
        </div>
        <div class="alert alert-danger" role="alert">
          <article class="text-center">
            Votre demande a été réfusé !<br>
            {% if rent.refused_reasion %}
            <span>Voici la raison du refus .</span><br/><br>
            <span>{{ rent.refused_reasion }}</span>
            {% endif %}
          </article>
        </div>
      </div>
      {% endif %}
    </section>
  </div>

  <div class="my-repair-main">
    <div class="my-repair-aside">
      {% if rent.article.main_image %}
        <img class="all-images" src="../../../media/{{ rent.article.main_image.url }}"alt="{{ rent.article.main_image.url }}"/>
      {% endif %}
      {% for image in rent.article.images.all %}
        <img class="all-images" src="../../../media/{{ image.url }}"alt="{{ image.url }}"/>
      {% endfor %}
    </div>
    <div class="my-repair-center">
      {% if rent.article.main_image %}
        <img id="main-image" src="../../../media/{{ rent.article.main_image.url }}" alt="{{ rent.article.main_image.url }}"/>
      {% else %}
        <img id="main-image" src="../../../media/{{ rent.article.images.all.0.url }}" alt="{{ rent.article.images.all.0.url }}"/>
      {% endif %}
    </div>
  </div>
  <section class="table-info w-100 d-flex flex-column flex-lg-row mt-5 mb-2 gap-xl-5 gap-2">
    <section id="client" class="active w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3">
      <div onclick="handleRepairSection(this)" class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
        <span class="text-center fw-bold one-ligne-text">Informations personnelles</span>
        <img
          src="{% static 'assets/icons/arrow.png' %}"
          style="height: 2rem; width: auto; object-fit: contain"
          class="rounded d-block m-0 p-0"
          alt="icon"
        />
      </div>
      <article>
        <div>
          <span class="fw-bold">Nom :</span><br>
          <span class="color-gray">{{ rent.user.get_last_name }}</span><br>
        </div>
        <div>
          <span class="fw-bold">Prénom :</span><br>
          <span class="color-gray">{{ rent.user.get_first_name }}</span><br>
        </div>
        <div>
          <span class="fw-bold">Email :</span><br>
          <form action="{% url 'new_mail' %}" method="POST" class="mb-1">
            {% csrf_token %}
            <input
              type="hidden"
              name="email"
              value="{{ rent.user.email }}"
            />
            <button type="submit" class="normal-btn fake-link"><i class="fa-solid fa-envelope"></i> {{ rent.user.email }}</button>
          </form>
        </div>
        <div>
          <span class="fw-bold">Téléphone :</span><br>
          <a class="normal-link text-primary" href="tel:{{ rent.user.phone }}"><i class="fa-solid fa-phone"></i> {{ rent.user.phone }}</a>
        </div>
        <div>
          <span class="fw-bold">Adresse :</span><br>
          <span class="color-gray">{{ rent.user.address.get_address }}</span><br>
        </div>
      </article>
    </section>
    <section id="article" class="active w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3">
      <div onclick="handleRepairSection(this)" class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
        <span class="text-center fw-bold one-ligne-text">Informations de la demande</span>
        <img
          src="{% static 'assets/icons/arrow.png' %}"
          style="height: 2rem; width: auto; object-fit: contain"
          class="rounded d-block m-0 p-0"
          alt="icon"
        />
      </div>
      <article>
        <div id="article-name">
          <span class="fw-bold">Nom d'article :</span><br>
          <span class="color-gray"><a href="{% url 'one_article' rent.article.id %}">{{ rent.article.title }}</a></span><br>
        </div>
        <div>
          <span class="fw-bold">Numéro de la demande :</span><br>
          <span class="color-gray">{{ rent.number }}</span><br>
        </div>
        <div>
          <span class="fw-bold">Statut :</span><br>
          <span class="color-gray">{{ rent.get_franch_phrase }}</span><br>
        </div>
        <div>
          <span class="fw-bold">Date de la demande :</span><br>
          <span class="color-gray">Le <span class="fw-bold">{{ rent.created_at }}</span>.<br> Il y a <span class="fw-bold">{{ rent.created_at|timesince }}</span></span><br>
        </div>
        <div>
          <span class="fw-bold">Dernière modification :</span><br>
          <span class="color-gray">Le <span class="fw-bold">{{ rent.updated_at }}</span>.<br> Il y a <span class="fw-bold">{{ rent.updated_at|timesince }}</span></span><br>
        </div>
        <div>
          <span class="fw-bold">Dates de location prévu :</span><br>
          <span class="color-gray">De <span class="fw-bold">{{ rent.start_at }}</span> à <span class="fw-bold">{{ rent.end_at }}</span><br>Donc <span class="fw-bold">{{ rent.get_total_time }}</span> jour(s)</span><br>
        </div>
        {% if rent.appointment_at %}
        <div>
          <span class="fw-bold">L'heure de RDV :</span><br>
          <span class="color-gray"><span class="fw-bold">{{ rent.appointment_at }}</span><br>
        </div>
        {% endif %}
        <div>
          <span class="fw-bold">Montant de location :</span><br>
          <span class="color-gray">{{ rent.article.rental_amount }} €/J</span>
        </div>
        <div>
          <span class="fw-bold">Montant total de location :</span><br>
          <span class="color-gray">{{ rent.calcul_total_price }}<br>Dont <span class="fw-bold">{{ rent.get_total_time }}</span> jour(s) * <span class="fw-bold">{{ rent.article.rental_amount }}</span> €</span>
        </div>
        <div>
          <span class="fw-bold">Autres informations :</span><br>
          <span class="color-gray">{{ rent.explanation|linebreaks }}</span>
        </div>
      </article>
    </section>

  </section>
  <div class="w-100 d-flex justify-content-center align-content-center">
    <a href="{% url 'new_problem' %}" class="normal-btn normal-link border py-2 px-3 rounded shadow mb-3 text-danger "><i class="fa-solid fa-triangle-exclamation"></i> Un probleme ?</a>
  </div>

  <script src="{% static 'assets/js/script.js' %}"></script>
  <script>
    changeImageFocus();
    setRentCurrentStatus()
    handleRentShowInputRefusedReasion()

  </script>
</div>


{% endblock main%}
